//This JSON was modified by AgentMindStorm (@agentms_). Please do not use this document without permission.
{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.villager_v2.item_pose": {
      "initial_state": "third_person",
      "states": {
        "third_person": {
          "animations": [
            { "item_pose.banner": "q.is_item_name_any('slot.weapon.mainhand', 'minecraft:black_banner', 'minecraft:blue_banner', 'minecraft:brown_banner', 'minecraft:cyan_banner', 'minecraft:gray_banner', 'minecraft:green_banner', 'minecraft:light_blue_banner', 'minecraft:lime_banner', 'minecraft:magenta_banner', 'minecraft:orange_banner', 'minecraft:pink_banner', 'minecraft:purple_banner', 'minecraft:red_banner', 'minecraft:light_gray_banner', 'minecraft:white_banner', 'minecraft:yellow_banner', 'minecraft:banner')" },
            { "item_pose.block": "q.is_item_name_any('slot.weapon.mainhand', 'minecraft:blue_ice', 'minecraft:bookshelf', 'minecraft:cactus', 'minecraft:dripstone_block', 'minecraft:glass', 'minecraft:glass_pane', 'minecraft:glowstone', 'minecraft:moss_block', 'minecraft:packed_ice', 'minecraft:podzol', 'minecraft:pumpkin', 'minecraft:quartz_block', 'minecraft:dirt_with_roots', 'minecraft:sand', 'minecraft:small_dripleaf_block', 'minecraft:black_glazed_terracotta', 'minecraft:blue_glazed_terracotta', 'minecraft:brown_glazed_terracotta', 'minecraft:cyan_glazed_terracotta', 'minecraft:gray_glazed_terracotta', 'minecraft:green_glazed_terracotta', 'minecraft:light_blue_glazed_terracotta', 'minecraft:lime_glazed_terracotta', 'minecraft:magenta_glazed_terracotta', 'minecraft:orange_glazed_terracotta', 'minecraft:pink_glazed_terracotta', 'minecraft:purple_glazed_terracotta', 'minecraft:red_glazed_terracotta', 'minecraft:light_gray_glazed_terracotta', 'minecraft:white_glazed_terracotta', 'minecraft:yellow_glazed_terracotta', 'minecraft:black_wool', 'minecraft:blue_wool', 'minecraft:brown_wool', 'minecraft:cyan_wool', 'minecraft:gray_wool', 'minecraft:green_wool', 'minecraft:light_blue_wool', 'minecraft:lime_wool', 'minecraft:magenta_wool', 'minecraft:orange_wool', 'minecraft:pink_wool', 'minecraft:purple_wool', 'minecraft:red_wool', 'minecraft:light_gray_wool', 'minecraft:white_wool', 'minecraft:yellow_wool', 'minecraft:black_carpet', 'minecraft:blue_carpet', 'minecraft:brown_carpet', 'minecraft:cyan_carpet', 'minecraft:gray_carpet', 'minecraft:green_carpet', 'minecraft:light_blue_carpet', 'minecraft:lime_carpet', 'minecraft:magenta_carpet', 'minecraft:orange_carpet', 'minecraft:pink_carpet', 'minecraft:purple_carpet', 'minecraft:red_carpet', 'minecraft:light_gray_carpet', 'minecraft:white_carpet', 'minecraft:yellow_carpet', 'minecraft:terracotta', 'minecraft:black_terracotta', 'minecraft:blue_terracotta', 'minecraft:brown_terracotta', 'minecraft:cyan_terracotta', 'minecraft:gray_terracotta', 'minecraft:green_terracotta', 'minecraft:light_blue_terracotta', 'minecraft:lime_terracotta', 'minecraft:magenta_terracotta', 'minecraft:orange_terracotta', 'minecraft:pink_terracotta', 'minecraft:purple_terracotta', 'minecraft:red_terracotta', 'minecraft:light_gray_terracotta', 'minecraft:white_terracotta', 'minecraft:yellow_terracotta', 'minecraft:brain_coral_block', 'minecraft:bubble_coral_block', 'minecraft:fire_coral_block', 'minecraft:horn_coral_block', 'minecraft:tube_coral_block', 'minecraft:chiseled_stone_bricks', 'minecraft:polished_andesite', 'minecraft:polished_diorite', 'minecraft:polished_granite', 'minecraft:carpet', 'minecraft:coral_block', 'minecraft:hardened_clay', 'minecraft:stained_hardened_clay', 'minecraft:stone', 'minecraft:stonebrick', 'minecraft:silver_glazed_terracotta')" }
          ]
        }
      }
    },
    "controller.animation.villager_v2.trading_emerald": {
      "initial_state": "third_person",
      "states": {
        "third_person": {
          "animations": [
            "trading_emerald"
          ]
        }
      }
    }
  }
}